Uploaded image for project: 'Ambari'
  1. Ambari
  2. AMBARI-22267

Version registration failure during patch upgrade + Debian + Oracle run

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 2.6.0
    • Fix Version/s: 2.6.0
    • Component/s: ambari-upgrade
    • Labels:
    • Environment:

      ambari-server --version 2.6.0.0-236
      ambari DB : Oracle

      Description

      Live cluster :http://172.27.58.135:8080
      Test steps :
      1) Install ambari 2.5.2 with HDP-2.6.2.0-205
      2) Upgrade ambari to 2.6.0.0-236
      3) Run EU and upgrade stack to 2.6.3.0-205
      4) Now try to register the VDF for PU and version registration is failing.
      read version info api : http://172.27.58.135:8080/api/v1/version_definitions?skip_url_check=true&dry_run=true is throwing 500 server error and failing with below error :

      Error Code: 932
      Call: SELECT DISTINCT t0.repo_version_id, t0.display_name, t0.hidden, t0.legacy, t0.repositories, t0.resolved, t0.repo_type, t0.version, t0.version_url, t0.version_xml, t0.version_xsd, t0.parent_id, t0.stack_id FROM repo_version t0, servicedesiredstate t1 WHERE ((t1.desired_repo_version_id IN (?,?)) AND (t0.repo_version_id = t1.desired_repo_version_id))
      	bind => [2 parameters bound]
      Query: ReportQuery(name="findByServiceDesiredVersion" referenceClass=ServiceDesiredStateEntity sql="SELECT DISTINCT t0.repo_version_id, t0.display_name, t0.hidden, t0.legacy, t0.repositories, t0.resolved, t0.repo_type, t0.version, t0.version_url, t0.version_xml, t0.version_xsd, t0.parent_id, t0.stack_id FROM repo_version t0, servicedesiredstate t1 WHERE ((t1.desired_repo_version_id IN ?) AND (t0.repo_version_id = t1.desired_repo_version_id))")
      18 Oct 2017 19:50:10,308  WARN [ambari-client-thread-17969] ServletHandler:561 - Error Processing URI: /api/v1/version_definitions - (javax.persistence.PersistenceException) Exception [EclipseLink-4002] (Eclipse Persistence Services - 2.6.2.v20151217-774c696): org.eclipse.persistence.exceptions.DatabaseException
      Internal Exception: java.sql.SQLSyntaxErrorException: ORA-00932: inconsistent datatypes: expected - got CLOB
      

      Attaching the complete log and vdf file.

        Attachments

        1. AMBARI-22267.patch
          3 kB
          Jonathan Hurley
        2. ambari.log
          11 kB
          Supreeth Sharma
        3. 4th-digit.xml
          3 kB
          Supreeth Sharma

          Issue Links

            Activity

              People

              • Assignee:
                jonathanhurley Jonathan Hurley
                Reporter:
                ssharma@hortonworks.com Supreeth Sharma
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: